module EchoLazyLoaderHelper

	def echo_image_tag src,options = {}
		options.merge!({"data-echo" => path_to_image(src)})
		raw(image_tag(EchoLazyLoader::default_image,options))
		# TODO: add noscript
	end

	def echo_init(offest = EchoLazyLoader::offset, throttle = EchoLazyLoader::throttle)
		javascript_tag do
  			raw("
  				window.onload= function(){
  					Echo.init({
    					offset: #{offest},
    					throttle: #{throttle}
  					});
  				} ;")
  		end
	end
end
